'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');
var utilsCommons = require('@highlight-ui/utils-commons');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "@import url(\"https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@400;700&display=swap\");\n@import url(\"https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400;1,600;1,700&display=swap\");\n.Card-module__2dyGVY9A__v1-0-3 {\n  border: 1px solid #dce6ec;\n  border-radius: 4px;\n  height: auto;\n  overflow: hidden;\n  position: relative;\n  transition: transform 0.2s ease, box-shadow 0.2s ease;\n}\n\n.Card-module__3aSuMagq__v1-0-3:hover {\n  cursor: pointer;\n}\n.Card-module__3aSuMagq__v1-0-3:hover .Card-module__2dyGVY9A__v1-0-3 {\n  box-shadow: 0 16px 16px -8px rgba(0, 0, 0, 0.08);\n  transform: translate(0, -4px);\n}";
var styles = {"card":"Card-module__2dyGVY9A__v1-0-3","animate":"Card-module__3aSuMagq__v1-0-3"};
styleInject(css_248z);

function CardWithRef(_a, ref) {
    var _b;
    var children = _a.children, className = _a.className, cardClassName = _a.cardClassName, metadata = _a.metadata, _c = _a.animate, animate = _c === void 0 ? true : _c;
    return (React__default['default'].createElement("div", __assign({}, utilsCommons.parseMetadata(metadata), { className: classnames__default['default'](className, (_b = {},
            _b[styles.animate] = animate,
            _b)), ref: ref }),
        React__default['default'].createElement("div", { className: classnames__default['default'](styles.card, cardClassName) }, children)));
}
CardWithRef.displayName = 'Card';
var Card = React__default['default'].forwardRef(CardWithRef);

function CardContentWithRef(_a, ref) {
    var children = _a.children, className = _a.className, metadata = _a.metadata;
    return (React__default['default'].createElement("div", __assign({}, utilsCommons.parseMetadata(metadata), { className: className, ref: ref }), children));
}
CardContentWithRef.displayName = 'CardContent';
var CardContent = React__default['default'].forwardRef(CardContentWithRef);

function CardFooterWithRef(_a, ref) {
    var children = _a.children, className = _a.className, metadata = _a.metadata;
    return (React__default['default'].createElement("div", __assign({}, utilsCommons.parseMetadata(metadata), { className: className, ref: ref }), children));
}
CardFooterWithRef.displayName = 'CardFooter';
var CardFooter = React__default['default'].forwardRef(CardFooterWithRef);

exports.Card = Card;
exports.CardContent = CardContent;
exports.CardFooter = CardFooter;
//# sourceMappingURL=index.js.map
